import { nativeHandle } from '@scandit/web-datacapture-core/build/js/private/nativeHandle.js';

declare class LabelCaptureValidationFlowSettings {
    private [nativeHandle];
    /**
     * @deprecated This method is deprecated and will be removed in a future release.
     */
    setMissingFieldsHintText(text: string): Promise<void>;
    /**
     * @deprecated This method is deprecated and will be removed in a future release.
     */
    getMissingFieldsHintText(): Promise<string>;
    setStandbyHintText(text: string): Promise<void>;
    getStandbyHintText(): Promise<string>;
    setValidationHintText(text: string): Promise<void>;
    getValidationHintText(): Promise<string>;
    setValidationErrorText(text: string): Promise<void>;
    getValidationErrorText(): Promise<string>;
    /**
     * @deprecated This method is deprecated and will be removed in a future release.
     */
    setRequiredFieldErrorText(text: string): Promise<void>;
    /**
     * @deprecated This method is deprecated and will be removed in a future release.
     */
    getRequiredFieldErrorText(): Promise<string>;
    /**
     * @deprecated 8.2
     */
    setManualInputButtonText(text: string): Promise<void>;
    /**
     * @deprecated 8.2
     */
    getManualInputButtonText(): Promise<string>;
    setFinishButtonText(text: string): Promise<void>;
    getFinishButtonText(): Promise<string>;
    setRestartButtonText(text: string): Promise<void>;
    getRestartButtonText(): Promise<string>;
    setPauseButtonText(text: string): Promise<void>;
    getPauseButtonText(): Promise<string>;
    setAdaptiveScanningText(text: string): Promise<void>;
    getAdaptiveScanningText(): Promise<string>;
    setScanningText(text: string): Promise<void>;
    getScanningText(): Promise<string>;
    setPlaceholderTextForLabelDefinition(fieldName: string, placeholder: string | undefined): Promise<void>;
    getPlaceholderTextForLabelDefinition(fieldName: string): Promise<string | undefined>;
    private constructor();
    static create(): Promise<LabelCaptureValidationFlowSettings>;
}

export { LabelCaptureValidationFlowSettings };
